メインコンテンツまでスキップ

19) ドキュメントセキュリティグレードの追加/修正/削除

文書のセキュリティ等級の追加/修正/削除

API

MethodURL
POST/api/save/customProperties/securityLevel

Request Body

NameRequiredTypeDescription
licenseKeyrequiredstringSHIELDRM 管理者ページの連携アプリ管理メニューで発行されたライセンスを入力
srcFilePathrequiredstring追加/修正/削除する文書のパス
scLabelIdrequiredstringラベルID(セキュリティグレードリスト取得APIの結果データから指定したいラベルIDを入力)
- 空の値("")を入力すると、ランク情報が削除されます。

Response

NameTypeDescription
codeint0 : 成功
それ以外の値 : エラー
messagestring失敗時のエラーメッセージ

Examples

Request

  • Body
{
"licenseKey": "EFBB-029BD-F155-7F13E",
"srcFilePath": "/opt/shieldrm/data/test.xlsx",
"scLabelId": "jPQOgOEa-Ge338ddW-3q4Wyy2S-Qy3w4mm5"
}

Response

  • 成功
{
"code": 0
}
  • 失敗
  • Status code : 400 Bad Request
[조회된 보안 등급 리스트에 포함되어 있지 않은 scLabelId일 경우]
{
"code": 40005,
"message": "Invalid scLabelId"
}

  • Status code : 401 Unauthorized
[라이선스 검증 실패]
{
"code": 40101,
"message": "{\"code\":40107,\"message\":\"No matching license found\",\"detail\":\"License skms_connector_info information is empty.\"}"
}